Bug 20942 - WindowManager.getDefault ()
WindowManager.getDefault ()
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Linux
: P2 (vote)
: TBD
Assigned To: David Simonek
issues@platform
: API
Depends on:
Blocks: 19443
  Show dependency treegraph
 
Reported: 2002-02-27 13:47 UTC by Jaroslav Tulach
Modified: 2008-12-23 13:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-02-27 13:47:03 UTC
Because of separation of openide into pieces the TopManager.getWindowManager()
should be deprecated and replaced by WindowManager.getDefault() that will use
the Lookup to initialize the engine.
Comment 1 David Simonek 2002-03-18 16:52:49 UTC
implementing...
Comment 2 David Simonek 2002-03-21 11:40:42 UTC
implemented in main trunk. Openide spec version grown to 2.10.
WindowManagerImpl.getDefault renamed to getInstance.
Comment 3 Lukas Hasik 2002-03-26 12:15:55 UTC
verified
Comment 4 Jan Zajicek 2002-04-05 15:48:41 UTC
Verified and tests in the trunk changed to use it.
Comment 5 Quality Engineering 2003-07-01 16:32:14 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo